Subject: bug#13304: Acknowledgement ([PATCH] full-path gud breakpoints now don't get confused by tramp)

From: Dima Kogan <[email-masked]>
Date: Sat, 29 Dec 2012 12:23:21 -0800

Here's a recipe to reproduce the bug as it was. Note that I'm on an amd64 linux
box.

1. Create a new python program. I put it in /tmp/tst.py with these contents:

#!/usr/bin/python
print("hi")

2. Run pdb on this file via tramp. I did this:

M-x pdb     pdb /127.0.0.1:/tmp/tst.py

This launches pdb and opens the remote /tmp/tst.py

3. Now navigate to the print("hi") line, and do C-x SPC. This is supposed to set
a breakpoint there, but it doesn't work. If it did, pdb would say "Breakpoint 1
at /tmp/tst.py:2". Instead it says "End of file". The command being sent to the
pdb backend is

break /scpc:127.0.0.1:/tmp/tst.py:2

but it should be

break /tmp/tst.py:2